<?php
$config->workflow->require = new stdclass();
$config->workflow->require->create  = 'module,name';
$config->workflow->require->copy    = 'module,name,app';
$config->workflow->require->edit    = 'module,name,app';
$config->workflow->require->release = 'module,name,app';

$config->workflowtable = new stdclass();
$config->workflowtable->require = new stdclass();
$config->workflowtable->require->create = 'module';
$config->workflowtable->require->edit   = 'module';

$config->workflow->apps = array('crm', 'oa', 'proj', 'doc', 'cash', 'team', 'hr', 'psi', 'flow', 'ameba');

$config->workflow->uniqueFields = 'module';

$config->workflow->buildin = new stdclass();
$config->workflow->buildin->modules['crm']['order']            = array('table' => TABLE_ORDER);
$config->workflow->buildin->modules['crm']['contract']         = array('table' => TABLE_CONTRACT);
$config->workflow->buildin->modules['crm']['purchasecontract'] = array('table' => TABLE_CONTRACT);
$config->workflow->buildin->modules['crm']['customer']         = array('table' => TABLE_CUSTOMER);
$config->workflow->buildin->modules['crm']['provider']         = array('table' => TABLE_CUSTOMER);
$config->workflow->buildin->modules['crm']['contact']          = array('table' => TABLE_CONTACT);
$config->workflow->buildin->modules['crm']['leads']            = array('table' => TABLE_CONTACT);
$config->workflow->buildin->modules['crm']['product']          = array('table' => TABLE_PRODUCT);
$config->workflow->buildin->modules['crm']['invoice']          = array('table' => TABLE_INVOICE);
$config->workflow->buildin->modules['crm']['feedback']         = array('table' => TABLE_ISSUE);

$config->workflow->buildin->subStatus['crm'] = array('order', 'contract', 'purchasecontract', 'customer', 'provider', 'contact', 'leads', 'product', 'invoice', 'feedback');
