<?php
public function create($objectType, $objectID, $actionType, $comment = '', $extra = '', $actor = '', $customer = 0, $contact = 0)
{
    $actionID = parent::create($objectType, $objectID, $actionType, $comment, $extra, $actor, $customer, $contact);
    $this->loadExtension('bizext')->saveIndex($objectType, $objectID, $actionType);
    return $actionID;
}

public function getList($objectType, $objectID, $action = '', $pager = null)
{
    return $this->loadExtension('bizext')->getList($objectType, $objectID, $action, $pager);
}

public function getLeadsList($objectType, $objectID, $action = '', $origin = '', $pager = null)
{
    return $this->loadExtension('bizext')->getLeadsList($objectType, $objectID, $action, $origin, $pager);
}

public function printAction($action)
{
    return $this->loadExtension('bizext')->printAction($action);
}

public function printChanges($objectType, $histories, $action)
{
    return $this->loadExtension('bizext')->printChanges($objectType, $histories, $action);
}

public function getDynamic($account = 'all', $period = 'all', $orderBy = 'date_desc', $pager = null, $date = '', $direction = 'next')
{
    return $this->loadExtension('bizext')->getDynamic($account, $period, $orderBy, $pager, $date, $direction);
}

public function buildDateGroup($actions, $direction = 'next')
{
    return $this->loadExtension('bizext')->buildDateGroup($actions, $direction);
}

public function sendNotice($actionID, $reader, $onlyNotice = false)
{
    return $this->loadExtension('bizext')->sendNotice($actionID, $reader, $onlyNotice);
}
